Bug 860060 - (CVE-2012-5054) CVE-2012-5054 flash-plugin: arbitrary code exec via integer overflow in copyRawDataTo method in Matrix3D class
CVE-2012-5054 flash-plugin: arbitrary code exec via integer overflow in copyR...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120911,repor...
: Security
Depends On:
Blocks: 860062
  Show dependency treegraph
 
Reported: 2012-09-24 15:49 EDT by Vincent Danen
Modified: 2016-03-04 05:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 13:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-09-24 15:49:56 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-5054 to
the following vulnerability:

Name: CVE-2012-5054
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5054
Assigned: 20120921
Reference: http://packetstormsecurity.org/files/116435/Adobe-Flash-Player-Matrix3D-Integer-Overflow-Code-Execution.html
Reference: http://www.adobe.com/support/security/bulletins/apsb12-19.html
Reference: http://www.vupen.com/english/services/ba-index.php

Integer overflow in the copyRawDataTo method in the Matrix3D class in
Adobe Flash Player before 11.4.402.265 allows remote attackers to
execute arbitrary code via malformed arguments.
Comment 1 Vincent Danen 2012-09-24 16:04:29 EDT
I've asked Adobe for clarification as to whether this affects the Linux version (11.2.x) that was also fixed via APSB12-19, so we're currently unsure whether this affects RHEL or not, or whether it is has been fixed or not if it had.
Comment 2 Vincent Danen 2012-10-11 13:04:57 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1173 https://rhn.redhat.com/errata/RHSA-2012-1173.html

This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:1203 https://rhn.redhat.com/errata/RHSA-2012-1203.html
Comment 3 Vincent Danen 2012-10-19 13:42:29 EDT
Adobe has finally clarified that, for Linux, CVE-2012-5054 affects Flash Player version 11.2.202.236 and earlier, and was addressed in 11.2.202.238 (see APSB12-19 for more details).

Note You need to log in before you can comment on or make changes to this bug.